## org.springframework.jca.cci
Class CciOperationNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.jca.cci.CciOperationNotSupportedException

All Implemented Interfaces:
  Serializable

    public class CciOperationNotSupportedException

extends InvalidDataAccessResourceUsageException

Exception thrown when the connector doesn't support a specific CCI operation.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`CciOperationNotSupportedException(String msg, ResourceException ex)` Constructor for CciOperationNotSupportedException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CciOperationNotSupportedException

    public CciOperationNotSupportedException(String msg,
                                             ResourceException ex)

  Constructor for CciOperationNotSupportedException.

  Parameters:
    `msg` - message
    `ex` - ResourceException root cause